HP p1006 hplip needs 2 missing debian dependencies

Need help with peripherals or devices?
Post Reply
Message
Author
algorithm!
Posts: 19
Joined: 2021-05-22 22:06

HP p1006 hplip needs 2 missing debian dependencies

#1 Post by algorithm! »

Trying to install printer driver for hp p1006 with hplip-3,21.6.run. It installed missing dependencies on the system, but stopped short with unable to find:
pyqt4-dbus and pyqt4. I found python-qt4-dbus_4,11,4+dfsg-2+b1_i386,deb from here: https://packages.debian.org/stretch/i38 ... s/download. Unable to install the two dependencies with synaptic or apt-get.

User avatar
FreewheelinFrank
Posts: 385
Joined: 2010-06-07 16:59

Re: HP p1006 hplip needs 2 missing debian dependencies

#2 Post by FreewheelinFrank »

Why are you trying to use the latest version of hplip for an ancient printer that will work with hplip from the repository in any debian version?

algorithm!
Posts: 19
Joined: 2021-05-22 22:06

Re: HP p1006 hplip needs 2 missing debian dependencies

#3 Post by algorithm! »

The hp p1006 printer is listed in print settings, however I can not send a print job to it. An hp deskjet 3740 prints no problem. That is why I am trying to install the downloaded driver.

User avatar
FreewheelinFrank
Posts: 385
Joined: 2010-06-07 16:59

Re: HP p1006 hplip needs 2 missing debian dependencies

#4 Post by FreewheelinFrank »

Install HPLIP from repository.

Remove entry in printer settings.

Open HPLIP and install the printer from there.

https://www.bloovis.com/2018/11/08/usin ... nt-18.html

Post Reply